function tk=AnnFilterEspline(x,K,T,ts,df)
% x -  fourier coeff
% K - number of diracs
% T - period time
% ts - sampling interval

N=length(x);

%% total least squares 

L=K; % filter length

r = x( L:-1:1 );
c = x( L+(0:L-1) );
A = toeplitz(c,r);

b=(x(L+1:2*L)).';

h=-inv(A)*b;
h=[1 ; h];

S=2*K;

w=(roots(h));
tk=sort(mod(angle(w),2*pi)/df*ts)-S*ts;

