function c=MultiSampMix(tl,al,S,T)

% tl - row vectors of delays
% al - row vectors of gains
% S - mixing matrix
% T - period

K=size(S,2);
[Tl,kk]=meshgrid(tl,-floor(K/2):floor(K/2));
W=exp(-j*2*pi/T*Tl.*kk);

c=S*W*al';



